<?php
if (!defined('TYPO3_MODE')){
    die ('Access denied.');
}

// Register static template.
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'datamints Piwik');

// Register plugin for Piwik opt-out
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'datamints.' . $_EXTKEY,
    'ShowOptOut',
    'Piwik opt-out'
);

// Add FlexForm for the plugin.
$pluginSignature = str_replace('_','',$_EXTKEY) . '_showoptout';
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:'. $_EXTKEY . '/Configuration/FlexForms/flexform_optout.xml');

// Add content wizard item for the plugin.
$pageTS = <<<EOT
mod.wizards.newContentElement.wizardItems {
	plugins {
		elements {
			{$pluginSignature} {
				iconIdentifier = ext-datamintspiwik-plugin-optout
				title = LLL:EXT:datamints_piwik/Resources/Private/Language/locallang.xlf:piwik.optout.title
				description = LLL:EXT:datamints_piwik/Resources/Private/Language/locallang.xlf:piwik.optout.description
				tt_content_defValues {
					CType = list
					list_type = {$pluginSignature}
				}
			}
		}
	}
}
EOT;
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig($pageTS);
