<?php
if (!defined ("TYPO3_MODE")) {
	die ("Access denied.");
}

// Add new columns to the TCA.
$tempColumns = array(
	'tx_datamintspiwik_exported' => array(
		'exclude' => 1,
		'label' => 'LLL:EXT:datamints_piwik/Resources/Private/Language/locallang_db.xlf:sys_log.tx_datamintspiwik_exported',
		'config' => array(
			'type' => 'check',
			'default' => 0
		),
	),
	'tx_datamintspiwik_processed' => array(
		'exclude' => 0,
		'label' => 'LLL:EXT:datamints_piwik/Resources/Private/Language/locallang_db.xlf:sys_log.tx_datamintspiwik_processed',
		'config' => array(
			'type' => 'input',
			'size' => 10,
			'eval' => 'datetime',
			'checkbox' => 0,
			'default' => 0
		),
	),
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('sys_log', $tempColumns);
